import { NotificationDataRow } from '@genesislcap/foundation-notifications';
import { NotificationListener } from '@genesislcap/foundation-ui';
/**
 * @tagname openfin-notification-listener
 * @public
 * @remarks
 * This component extends the notification listener class and overrides the logic for showing the toast message to instead dispatch the event to the openfin notifications bus.
 */
export declare class OpenfinNotifications extends NotificationListener {
    toast: string;
    connectedCallback(): Promise<void>;
    protected showNotificationToast(row: NotificationDataRow): Promise<void>;
    private mapToastButtons;
}
//# sourceMappingURL=openfin-notifications-listener.d.ts.map